import { ComputedRef } from 'vue';
import { Ref } from 'vue';

export declare interface ShortRef<T> extends Ref<T> {
    v: T;
}

export declare type Targets = Ref<string[]> | Ref<HTMLElement[]>;

declare function useActive(userTargets: Targets, options?: UseActiveOptions): {
    isActive: (target: string | HTMLElement) => boolean;
    setActive: (target: string | HTMLElement) => void;
    activeEl: ComputedRef<HTMLElement | null>;
    activeId: ComputedRef<string> & {
        v: string;
    };
    activeIndex: ComputedRef<number> & {
        v: number;
    };
};
export { useActive }
export { useActive as useActiveScroll }

export declare type UseActiveOptions = {
    root?: Ref<HTMLElement | null> | HTMLElement | null;
    jumpToFirst?: boolean;
    jumpToLast?: boolean;
    overlayHeight?: number;
    minWidth?: number;
    replaceHash?: boolean;
    edgeOffset?: {
        first?: number;
        last?: number;
    };
    boundaryOffset?: {
        toTop?: number;
        toBottom?: number;
    };
};

export { }
